Package picard.illumina

## Interface BasecallsConverter.ClusterDataConverter<OUTPUT_RECORD>

- Type Parameters:
    `OUTPUT_RECORD` - The recode type to convert to.
  All Known Implementing Classes:
    `ClusterDataToSamConverter`
  Enclosing class:
    BasecallsConverter<CLUSTER_OUTPUT_RECORD>

      protected static interface BasecallsConverter.ClusterDataConverter<OUTPUT_RECORD>

  Interface that defines a converter that takes ClusterData and returns OUTPUT_RECORD type objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OUTPUT_RECORD` | `convertClusterToOutputRecord​(ClusterData cluster)` | Creates the OUTPUT_RECORDs from the cluster

- - ### Method Detail

    - #### convertClusterToOutputRecord

          OUTPUT_RECORD convertClusterToOutputRecord​(ClusterData cluster)

      Creates the OUTPUT_RECORDs from the cluster